MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025964Open CASCADE[OCCT] OCCT:Visualizationpublic2015-03-20 17:132015-05-14 16:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025964: Visualization, TKOpenGl - compile RayTracing shader without texturing when no textures in use
DescriptionIt is better to disable USE_TEXTURES code paths even when bindless textures are supported by driver to avoid extra bugs.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025885closedbugmaster Visualization, ray tracing - Improve layer processing 

-  Notes
(0039107)
git (administrator)
2015-04-01 16:19

Branch CR25964 has been created by dbp.

SHA-1: 01101e4ab7597eddf971d896d52cbf10011c853a


Detailed log of new commits:

Author: dbp
Date: Wed Apr 1 16:19:20 2015 +0300

    0025964: Visualization, TKOpenGl - compile RayTracing shader without texturing when no textures in use
(0039108)
dbp (developer)
2015-04-01 16:20

Dear kgv,

please review the patch in branch CR25964.
(0039109)
kgv (developer)
2015-04-01 16:26
edited on: 2015-04-01 16:27

Please test the patch.

Please note that it is based on CR25885_4 for 0025885.

(0039131)
apv (tester)
2015-04-02 11:40

Dear BugMaster,

Compilation of branch CR25964 has been failed (in part of CR25885_4).
More information could be found by the following links:
Linux: http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25964/job/CR25964-master_build_occt_linux/2/parsed_console/ [^]
MacOS: http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25964/job/CR25964-master_prepare_build_occt_MacOS/1/parsed_console/ [^]
(0041035)
git (administrator)
2015-05-14 16:32

Branch CR25964 has been deleted by inv.

SHA-1: 01101e4ab7597eddf971d896d52cbf10011c853a

- Related Changesets
occt: master f483f2ed
Timestamp: 2015-04-01 13:19:20
Author: dbp
Committer: bugmaster
Details ] Diff ]
0025964: Visualization, TKOpenGl - compile RayTracing shader without texturing when no textures in use
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-20 17:13 kgv New Issue
2015-03-20 17:13 kgv Assigned To => kgv
2015-03-20 17:13 kgv Assigned To kgv => dbp
2015-03-20 17:13 kgv Status new => assigned
2015-04-01 16:19 git Note Added: 0039107
2015-04-01 16:20 dbp Note Added: 0039108
2015-04-01 16:20 dbp Assigned To dbp => kgv
2015-04-01 16:20 dbp Status assigned => resolved
2015-04-01 16:20 dbp Steps to Reproduce Updated View Revisions
2015-04-01 16:26 kgv Note Added: 0039109
2015-04-01 16:26 kgv Assigned To kgv => bugmaster
2015-04-01 16:26 kgv Status resolved => reviewed
2015-04-01 16:27 kgv Note Edited: 0039109 View Revisions
2015-04-01 16:27 kgv Relationship added related to 0025885
2015-04-01 18:32 apv Assigned To bugmaster => apv
2015-04-01 18:32 apv Test case number => Not needed
2015-04-02 11:40 apv Note Added: 0039131
2015-04-02 11:40 apv Assigned To apv => dbp
2015-04-02 11:40 apv Status reviewed => assigned
2015-04-10 14:09 bugmaster Changeset attached => occt master f483f2ed
2015-04-10 14:09 bugmaster Assigned To dbp => bugmaster
2015-04-10 14:09 bugmaster Status assigned => verified
2015-04-10 14:09 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-05-14 16:32 git Note Added: 0041035


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker